Workflow attributes
Deletes custom MatchableAttributesConfiguration for a project, domain and workflow.
Delete the customized resource attributes associated with a project, domain and workflow combination
DELETE
/
api
/
v1
/
workflow_attributes
/
{project}
/
{domain}
/
{workflow}
Deletes custom MatchableAttributesConfiguration for a project, domain and workflow.
curl --request DELETE \
--url https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow} \
--header 'Content-Type: application/json' \
--data '
{
"org": "<string>",
"resource_type": "TASK_RESOURCE"
}
'import requests
url = "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}"
payload = {
"org": "<string>",
"resource_type": "TASK_RESOURCE"
}
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({org: '<string>', resource_type: 'TASK_RESOURCE'})
};
fetch('https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'org' => '<string>',
'resource_type' => 'TASK_RESOURCE'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}"
payload := strings.NewReader("{\n \"org\": \"<string>\",\n \"resource_type\": \"TASK_RESOURCE\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}")
.header("Content-Type", "application/json")
.body("{\n \"org\": \"<string>\",\n \"resource_type\": \"TASK_RESOURCE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"org\": \"<string>\",\n \"resource_type\": \"TASK_RESOURCE\"\n}"
response = http.request(request)
puts response.read_body{}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Unique project id which this set of attributes references. +required
Unique domain id which this set of attributes references. +required
Workflow name which this set of attributes references. +required
Body
application/json
Optional, org key applied to the attributes.
Defines a resource that can be configured by customizable Project-, ProjectDomain- or WorkflowAttributes based on matching tags.
- TASK_RESOURCE: Applies to customizable task resource requests and limits.
- CLUSTER_RESOURCE: Applies to configuring templated kubernetes cluster resources.
- EXECUTION_QUEUE: Configures task and dynamic task execution queue assignment.
- EXECUTION_CLUSTER_LABEL: Configures the K8s cluster label to be used for execution to be run
- QUALITY_OF_SERVICE_SPECIFICATION: Configures default quality of service when undefined in an execution spec.
- PLUGIN_OVERRIDE: Selects configurable plugin implementation behavior for a given task type.
- WORKFLOW_EXECUTION_CONFIG: Adds defaults for customizable workflow-execution specifications and overrides.
- CLUSTER_ASSIGNMENT: Controls how to select an available cluster on which this execution should run.
Available options:
TASK_RESOURCE, CLUSTER_RESOURCE, EXECUTION_QUEUE, EXECUTION_CLUSTER_LABEL, QUALITY_OF_SERVICE_SPECIFICATION, PLUGIN_OVERRIDE, WORKFLOW_EXECUTION_CONFIG, CLUSTER_ASSIGNMENT Response
A successful response.
Purposefully empty, may be populated in the future.
Last modified on August 19, 2026
Was this page helpful?
⌘I
Deletes custom MatchableAttributesConfiguration for a project, domain and workflow.
curl --request DELETE \
--url https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow} \
--header 'Content-Type: application/json' \
--data '
{
"org": "<string>",
"resource_type": "TASK_RESOURCE"
}
'import requests
url = "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}"
payload = {
"org": "<string>",
"resource_type": "TASK_RESOURCE"
}
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({org: '<string>', resource_type: 'TASK_RESOURCE'})
};
fetch('https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'org' => '<string>',
'resource_type' => 'TASK_RESOURCE'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}"
payload := strings.NewReader("{\n \"org\": \"<string>\",\n \"resource_type\": \"TASK_RESOURCE\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}")
.header("Content-Type", "application/json")
.body("{\n \"org\": \"<string>\",\n \"resource_type\": \"TASK_RESOURCE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"org\": \"<string>\",\n \"resource_type\": \"TASK_RESOURCE\"\n}"
response = http.request(request)
puts response.read_body{}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}